
/* Time-stamp: <2009/06/02 17:16:47 Shinya Abe> */

/*
 *  Cue - A Unit Testing Framework for C, based on CUnit.
 *
 *  Author: Shinya Abe
 *  License: LGPL
 */

#ifndef CUE_H
#define CUE_H

#include <stdlib.h>
#include <cue/basic.h>

void
cue_setup();

void
cue_register(const char* name, CU_TestFunc test);

void
cue_result();

#define CU_TEST_CASE(test) cue_register(#test, test)

#endif
